Skip to main content
GET
/
v1
/
tables
/
{table_id}
/
rows
/
{row_id}
const row = await client.tables.getRow("tbl_abc123", "row_xyz789");

console.log(row.data.name);
console.log(row.data.price);
console.log(row.is_edited);
{
  "id": "row_abc123",
  "row_index": 0,
  "data": {
    "product_name": "iPhone 15 Pro",
    "price": 999,
    "description": "Latest Apple smartphone"
  },
  "validation_status": null,
  "validation_errors": null,
  "enhancement_status": null,
  "is_edited": false,
  "created_at": "2025-03-10T14:30:00.000Z"
}

Path parameters

table_id
string
required
The unique identifier of the table.
row_id
string
required
The unique identifier of the row.

Response

id
string
Unique row identifier.
row_index
integer
Position of the row in the table.
data
object
Extracted data keyed by column key.
validation_status
string | null
Validation status.
validation_errors
object | null
Validation error details.
enhancement_status
object | null
Per-column enhancement status.
is_edited
boolean
Whether the row has been manually edited.
created_at
string
ISO 8601 timestamp.
const row = await client.tables.getRow("tbl_abc123", "row_xyz789");

console.log(row.data.name);
console.log(row.data.price);
console.log(row.is_edited);
{
  "id": "row_abc123",
  "row_index": 0,
  "data": {
    "product_name": "iPhone 15 Pro",
    "price": 999,
    "description": "Latest Apple smartphone"
  },
  "validation_status": null,
  "validation_errors": null,
  "enhancement_status": null,
  "is_edited": false,
  "created_at": "2025-03-10T14:30:00.000Z"
}